module.exports = {
  default: ['response.url', 'depth'],
  minimal: ['response.url'],
  seo: [
    'response.url',
    'result.mixed_content_url',
    'result.canonical',
    'result.is_canonical',
    'previousUrl',
    'depth',
    'response.status',
    'result.request_time',
    'result.title',
    'result.h1',
    'result.page_date',
    'result.description',
    'result.keywords',
    'result.og_title',
    'result.og_image',
    'result.schema_types',
    'result.h1_count',
    'result.h2_count',
    'result.h3_count',
    'result.h4_count',
    'result.canonical_count',
    'result.google_amp',
    'result.images',
    'result.images_without_alt',
    'result.images_alt_empty',
    'result.images_outer',
    'result.links',
    'result.links_inner',
    'result.links_outer',
    'result.text_ratio_percent',
    'result.dom_size',
    'result.html_size',
  ],
  headers: [
    'response.url',
    'depth',
    'response.headers.content-type',
    'response.headers.',
    'response.headers.x-bitrix-composite',
    'response.headers.x-page-speed',
    'response.headers.x-cached-by',
    'response.headers.x-drupal-cache',
  ],
  parse: [
    'response.url',
    'result.title',
    'result.h1',
    'result.description',
    'result.keywords',
  ],
  lighthouse: [
    'response.url',
    'result.title',
    'lighthouse.scores.performance',
    'lighthouse.scores.pwa',
    'lighthouse.scores.accessibility',
    'lighthouse.scores.best-practices',
    'lighthouse.scores.seo',

    'lighthouse.first-contentful-paint',
    'lighthouse.speed-index',
    'lighthouse.largest-contentful-paint',
    'lighthouse.interactive',
    'lighthouse.total-blocking-time',
    'lighthouse.cumulative-layout-shift',
  ],
  'lighthouse-all': [
    'response.url',
    'result.title',
    'lighthouse.scores.performance',
    'lighthouse.scores.pwa',
    'lighthouse.scores.accessibility',
    'lighthouse.scores.best-practices',
    'lighthouse.scores.seo',
    'lighthouse.first-contentful-paint',
    'lighthouse.speed-index',
    'lighthouse.largest-contentful-paint',
    'lighthouse.interactive',
    'lighthouse.total-blocking-time',
    'lighthouse.cumulative-layout-shift',
    'lighthouse.first-cpu-idle',
    'lighthouse.max-potential-fid',
    'lighthouse.first-meaningful-paint',
    'lighthouse.estimated-input-latency',
    'lighthouse.render-blocking-resources',
    'lighthouse.uses-responsive-images',
    'lighthouse.offscreen-images',
    'lighthouse.unminified-css',
    'lighthouse.unminified-javascript',
    'lighthouse.unused-css-rules',
    'lighthouse.unused-javascript',
    'lighthouse.uses-optimized-images',
    'lighthouse.uses-webp-images',
    'lighthouse.uses-text-compression',
    'lighthouse.uses-rel-preconnect',
    'lighthouse.server-response-time',
    'lighthouse.redirects',
    'lighthouse.uses-rel-preload',
    'lighthouse.uses-http2',
    'lighthouse.efficient-animated-content',
    'lighthouse.duplicated-javascript',
    'lighthouse.legacy-javascript',
    'lighthouse.total-byte-weight',
    'lighthouse.uses-long-cache-ttl',
    'lighthouse.dom-size',
    'lighthouse.critical-request-chains',
    'lighthouse.user-timings',
    'lighthouse.bootup-time',
    'lighthouse.mainthread-work-breakdown',
    'lighthouse.font-display',
    'lighthouse.performance-budget',
    'lighthouse.timing-budget',
    'lighthouse.resource-summary',
    'lighthouse.third-party-summary',
    'lighthouse.largest-contentful-paint-element',
    'lighthouse.layout-shift-elements',
    'lighthouse.uses-passive-event-listeners',
    'lighthouse.no-document-write',
    'lighthouse.long-tasks',
    'lighthouse.non-composited-animations',
    'lighthouse.unsized-images',
    'lighthouse.network-requests',
    'lighthouse.network-rtt',
    'lighthouse.network-server-latency',
    'lighthouse.main-thread-tasks',
    'lighthouse.diagnostics',
    'lighthouse.metrics',
    'lighthouse.screenshot-thumbnails',
    'lighthouse.final-screenshot',
    'lighthouse.accesskeys',
    'lighthouse.aria-allowed-attr',
    'lighthouse.aria-hidden-body',
    'lighthouse.aria-hidden-focus',
    'lighthouse.aria-input-field-name',
    'lighthouse.aria-required-attr',
    'lighthouse.aria-required-children',
    'lighthouse.aria-required-parent',
    'lighthouse.aria-roles',
    'lighthouse.aria-toggle-field-name',
    'lighthouse.aria-valid-attr-value',
    'lighthouse.aria-valid-attr',
    'lighthouse.button-name',
    'lighthouse.bypass',
    'lighthouse.color-contrast',
    'lighthouse.definition-list',
    'lighthouse.dlitem',
    'lighthouse.document-title',
    'lighthouse.duplicate-id-active',
    'lighthouse.duplicate-id-aria',
    'lighthouse.form-field-multiple-labels',
    'lighthouse.frame-title',
    'lighthouse.heading-order',
    'lighthouse.html-has-lang',
    'lighthouse.html-lang-valid',
    'lighthouse.image-alt',
    'lighthouse.input-image-alt',
    'lighthouse.label',
    'lighthouse.layout-table',
    'lighthouse.link-name',
    'lighthouse.list',
    'lighthouse.listitem',
    'lighthouse.meta-refresh',
    'lighthouse.meta-viewport',
    'lighthouse.object-alt',
    'lighthouse.tabindex',
    'lighthouse.td-headers-attr',
    'lighthouse.th-has-data-cells',
    'lighthouse.valid-lang',
    'lighthouse.video-caption',
    'lighthouse.video-description',
    'lighthouse.logical-tab-order',
    'lighthouse.focusable-controls',
    'lighthouse.interactive-element-affordance',
    'lighthouse.managed-focus',
    'lighthouse.focus-traps',
    'lighthouse.custom-controls-labels',
    'lighthouse.custom-controls-roles',
    'lighthouse.visual-order-follows-dom',
    'lighthouse.offscreen-content-hidden',
    'lighthouse.use-landmarks',
    'lighthouse.is-on-https',
    'lighthouse.external-anchors-use-rel-noopener',
    'lighthouse.geolocation-on-start',
    'lighthouse.notification-on-start',
    'lighthouse.no-vulnerable-libraries',
    'lighthouse.password-inputs-can-be-pasted-into',
    'lighthouse.image-aspect-ratio',
    'lighthouse.image-size-responsive',
    'lighthouse.doctype',
    'lighthouse.charset',
    'lighthouse.no-unload-listeners',
    'lighthouse.appcache-manifest',
    'lighthouse.js-libraries',
    'lighthouse.deprecations',
    'lighthouse.errors-in-console',
    'lighthouse.viewport',
    'lighthouse.meta-description',
    'lighthouse.http-status-code',
    'lighthouse.link-text',
    'lighthouse.crawlable-anchors',
    'lighthouse.is-crawlable',
    'lighthouse.robots-txt',
    'lighthouse.hreflang',
    'lighthouse.canonical',
    'lighthouse.font-size',
    'lighthouse.plugins',
    'lighthouse.tap-targets',
    'lighthouse.structured-data',
    'lighthouse.load-fast-enough-for-pwa',
    'lighthouse.works-offline',
    'lighthouse.offline-start-url',
    'lighthouse.service-worker',
    'lighthouse.installable-manifest',
    'lighthouse.redirects-http',
    'lighthouse.splash-screen',
    'lighthouse.themed-omnibox',
    'lighthouse.content-width',
    'lighthouse.without-javascript',
    'lighthouse.apple-touch-icon',
    'lighthouse.maskable-icon',
    'lighthouse.pwa-cross-browser',
    'lighthouse.pwa-page-transitions',
    'lighthouse.pwa-each-page-has-url',
  ],
};
